> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monyfix.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Question Categories

> Get Question categories list



## OpenAPI

````yaml get /question-categories
openapi: 3.1.0
info:
  title: Monyfix API
  description: Monyfix
  version: 1.0.0
servers: []
security: []
paths:
  /question-categories:
    get:
      tags:
        - question categories
      summary: Get Question Categories
      description: Get Question categories list
      operationId: get_question_categories_question_categories_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/QuestionCategoryGetResponse'
                type: array
                title: Response Get Question Categories Question Categories Get
        '401':
          description: >-
            No `Authorization` access token header, token is invalid or user
            removed
          content:
            application/json:
              examples:
                not authenticated:
                  summary: No authorization token header
                  value:
                    detail: Not authenticated
                invalid token:
                  summary: >-
                    Token validation failed, decode failed, it may be expired or
                    malformed
                  value:
                    detail: 'Token invalid: {detailed error msg}'
                removed user:
                  summary: User removed
                  value:
                    detail: User removed
      security:
        - HTTPBearer: []
components:
  schemas:
    QuestionCategoryGetResponse:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        picture:
          anyOf:
            - type: string
            - type: 'null'
          title: Picture
        themes:
          anyOf:
            - items:
                $ref: '#/components/schemas/QuestionCategoryThemeGetResponse'
              type: array
            - type: 'null'
          title: Themes
      type: object
      required:
        - id
        - name
      title: QuestionCategoryGetResponse
    QuestionCategoryThemeGetResponse:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        picture:
          anyOf:
            - type: string
            - type: 'null'
          title: Picture
        emoji:
          anyOf:
            - type: string
            - type: 'null'
          title: Emoji
      type: object
      required:
        - id
        - name
      title: QuestionCategoryThemeGetResponse
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````